﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register assembly="Infragistics4.Web.v14.2, Version=14.2.20142.1028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI" tagprefix="ig" %>
<%@ Register assembly="Infragistics4.Web.v14.2, Version=14.2.20142.1028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.GridControls" tagprefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <ig:WebScriptManager ID="WebScriptManager1" runat="server">
    </ig:WebScriptManager>
    <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1" runat="server" 
        AutoGenerateBands="False" AutoGenerateColumns="False" 
        DataKeyFields="DepartmentID" DataMember="Departments" Height="414px" 
        Key="Departments" Width="766px">
        <GroupingSettings EnableColumnGrouping="True">
        </GroupingSettings>
        <Bands>
            <ig:Band AutoGenerateColumns="False" DataKeyFields="EmployeeID" 
                DataMember="Employees" Key="Employees">
                <Columns>
                    <ig:BoundDataField DataFieldName="EmployeeID" Key="EmployeeID">
                        <Header Text="EmployeeID" />
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Name" Key="Name">
                        <Header Text="Name" />
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Department" Key="Department">
                        <Header Text="Department" />
                    </ig:BoundDataField>
                </Columns>
                <Bands>
                    <ig:Band AutoGenerateColumns="False" DataKeyFields="OptionID" 
                        DataMember="EmployeeOptions" Key="EmployeeOptions">
                        <Columns>
                            <ig:BoundDataField DataFieldName="OptionID" Key="OptionID">
                            <Header Text="OptionID" />
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="Employee" Key="Employee">
                                <Header Text="Employee" />
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="Option" Key="Option">
                                <Header Text="Option" />
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="Description" Key="Description">
                                <Header Text="Description" />
                            </ig:BoundDataField>
                        </Columns>
                    </ig:Band>
                </Bands>
            </ig:Band>
        </Bands>
        <Columns>
            <ig:BoundDataField DataFieldName="DepartmentID" Key="DepartmentID">
                <Header Text="Dept. ID" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="DepartmentName" Key="DepartmentName" HtmlEncode="false" DataFormatString="<a href='www.google.com'>{0}</a>">
                <Header Text="Dept. Name" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="DateOfCreate" Key="DateOfCreate" DataFormatString="{0:dd/MM/yyyy}">
                <Header Text="Date of Creation" />
            </ig:BoundDataField>
        </Columns>
        <Behaviors>
            <ig:Filtering>
                <ColumnSettings>
                    <ig:ColumnFilteringSetting ColumnKey="DateOfCreate" EditorID="DateEditor" />
                </ColumnSettings>
            </ig:Filtering>
            <ig:Sorting>
            </ig:Sorting>
            <ig:EditingCore BatchUpdating="true">
                <Behaviors>
                    <ig:CellEditing>
                    </ig:CellEditing>
                </Behaviors>
            </ig:EditingCore>
        </Behaviors>
        <EditorProviders>
            <ig:DateTimeEditorProvider ID="DateEditor">
                <EditorControl EditModeFormat="dd/MM/yyyy"></EditorControl>
            </ig:DateTimeEditorProvider>
        </EditorProviders>
    </ig:WebHierarchicalDataGrid>
        <asp:Button ID="Button1" runat="server" Text="Button" OnClick="Button1_Click" />
    </form>
</body>
</html>
